Name:           Mars
Version:        4.1
Release:        3%{?dist}
Summary:        An interactive development environment for programming in MIPS assembly language

Group:          Development/Tools
License:        MIT
URL:            http://courses.missouristate.edu/KenVollmar/MARS/
Source0:        http://courses.missouristate.edu/KenVollmar/MARS/MARS_4_1_Jan_2011/Mars_4_1.jar
Source1:        Mars
Source2:        Mars.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  desktop-file-utils

Requires:       java >= 1:1.6.0
Requires:       jpackage-utils

%description
MARS is a lightweight interactive development environment (IDE) for
programming in MIPS assembly language, intended for educational-level
use with Patterson and Hennessy's Computer Organization and Design.

%prep
%setup -q -c Mars-%{version}

find -name '*.class' -exec rm -f '{}' \;

%build
sed -i 's/\r//' MARSlicense.txt

cat << EOF > META-INF/MANIFEST.MF
Manifest-Version: 1.0
Main-Class: Mars
EOF

find . -name "*.java" -exec javac '{}' \;
jar cmf META-INF/MANIFEST.MF Mars.jar PseudoOps.txt Config.properties Syscall.properties Settings.properties MARSlicense.txt mainclass.txt CreateMarsJar.bat Mars.java Mars.class docs help images mars

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 Mars.jar ${RPM_BUILD_ROOT}%{_javadir}/Mars.jar
install -Dpm 755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_bindir}/Mars
desktop-file-install                                \
    --add-category="Development"                    \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
    %{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_bindir}/*
%{_datadir}/applications/Mars.desktop
%doc MARSlicense.txt

%changelog
* Sun Mar 06 2011 W. Michael Petullo <mike[@]flyn.org> - 4.1-3
- Ensure proper end of line encoding in MARSlicense.txt
- Add rm -rf $RPM_BUILD_ROOT

* Wed Feb 16 2011 W. Michael Petullo <mike[@]flyn.org> - 4.1-2
- Build 4.1 source

* Tue Jan 25 2011 W. Michael Petullo <mike[@]flyn.org> - 4.1-1
- New upstream version
- Replace tab with spaces
- Make setup quiet
- Add .desktop description
- Use noarch

* Thu Dec 23 2010 W. Michael Petullo <mike[@]flyn.org> - 4.0.1-1
- New upstream version
- Remove clean section
- Use SOURCE1 to install
- Add MARSlicense.txt
- Remove classpath definition from MANIFEST.MF

* Wed Nov 24 2010 W. Michael Petullo <mike[@]flyn.org> - 4.0-2
- Requires: jpackage-util to Requires: jpackage-utils

* Mon Aug 30 2010 W. Michael Petullo <mike[@]flyn.org> - 4.0-1
- Initial Fedora package
